// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_towernine/tn_sky1
{
	qer_editorimage env/ut4_towernine/emerald_bk.tga
	
	skyparms env/ut4_towernine/emerald 128 -
	
	q3map_sunEXT 1 1 1 1000 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 600 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Clouds ===---

// ---=== No Damage ===---

textures/ut4_towernine/e6trim_basic128:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e6trim_ltb:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_towernine/pr_veg048:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

textures/ut4_towernine/tn_chrome1_ns
{
	qer_editorimage textures/ut4_towernine/chrome1.tga
	surfaceparm nonsolid

	{
		map textures/ut4_towernine/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_towernine/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_towernine/tn_e8base1c_ns
{
	qer_editorimage textures/ut4_towernine/e8_base1c.jpg
	qer_trans .9
	surfaceparm nonsolid

	{
		map textures/ut4_towernine/e8_base1c.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_towernine/tn_tower1
{
	qer_editorimage textures/ut4_towernine/kw_tower_one.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_one.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower2
{
	qer_editorimage textures/ut4_towernine/kw_tower_two.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_two.jpg
	blendFunc GL_ONE GL_ONE
 	}
}


textures/ut4_towernine/tn_tower3
{
	qer_editorimage textures/ut4_towernine/kw_tower_three.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_three.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower4
{
	qer_editorimage textures/ut4_towernine/kw_tower_four.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_four.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower5
{
	qer_editorimage textures/ut4_towernine/kw_tower_five.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_five.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower6
{
	qer_editorimage textures/ut4_towernine/kw_tower_six.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_six.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower7
{
	qer_editorimage textures/ut4_towernine/kw_tower_seven.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_seven.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower8
{
	qer_editorimage textures/ut4_towernine/kw_tower_eight.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_eight.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_towernine/tn_tower9
{
	qer_editorimage textures/ut4_towernine/kw_tower_nine.jpg
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
	map textures/ut4_towernine/kw_tower_nine.jpg
	blendFunc GL_ONE GL_ONE
 	}
}

// ---=== Slick Textures ===--

// ---=== Glass ===---

textures/ut4_towernine/tn_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_towernine/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_towernine/tn_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.6
//	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_towernine/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_towernine/tn_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_towernine/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_towernine/metal_chrome1
{
	qer_editorimage textures/ut4_towernine/chrome1.tga

	{
		map textures/ut4_towernine/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_towernine/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_towernine/tn_chrome1
{
	qer_editorimage textures/ut4_towernine/chrome1.tga

	{
		map textures/ut4_towernine/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_towernine/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_towernine/tn_shn_e8base1c
{
	qer_editorimage textures/ut4_towernine/e8_base1c.jpg

	{
		map textures/ut4_towernine/e8_base1c.jpg
	}
	{
		map textures/ut4_towernine/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Ladderclip ===---

textures/ut4_towernine/tn_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_towernine/e6basicstrip_blue
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_blue.tga
	}
}

textures/ut4_towernine/e6basicstrip_green
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_green.tga
	}
}

textures/ut4_towernine/e6basicstrip_orange
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_orange.tga
	}
}

textures/ut4_towernine/e6basicstrip_purple
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_purple.tga
	}
}

textures/ut4_towernine/e6basicstrip_red
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_red.tga
	}
}

textures/ut4_towernine/e6basicstrip_white
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_white.tga
	}
}

textures/ut4_towernine/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_towernine/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6basicstrip_yellow.tga
	}
}

// ---=== Water ===---


// ---=== Evil Shaders ===---

textures/ut4_towernine/e6horzlight
{
	qer_editorimage textures/ut4_towernine/e6horzlight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
	
	{
		map textures/ut4_towernine/e6horzlight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_towernine/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/ut4_towernine/e6horzovallight
{
	qer_editorimage textures/ut4_towernine/e6horzovallight_a.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6horzovallight_a.tga
	}
	{
		map textures/ut4_towernine/e6horzovallight_blend.tga
		blendfunc add
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/ut4_towernine/e6tinylight
{
	qer_editorimage textures/ut4_towernine/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_towernine/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_towernine/e6v_light
{
	qer_editorimage textures/ut4_towernine/e6v_light.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6v_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_towernine/e6v_light_blend.tga
		blendfunc add
	}
}

textures/ut4_towernine/e6walllight
{
	qer_editorimage textures/ut4_towernine/e6walllight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_towernine/e6walllight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_towernine/e6walllight_blend.tga
		blendfunc add
	}
}

textures/ut4_towernine/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_towernine/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_towernine/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_towernine/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== mrcleantex shaders ===---

// ---=== soc shaders ===---
